import {json} from "https://cdn.skypack.dev/d3-fetch@3";
import {timeParse} from "https://cdn.skypack.dev/d3-time-format@4";
import * as Plot from "https://cdn.jsdelivr.net/npm/@observablehq/plot@0.6/+esm";

const history = await json("/api/history");
const parseDate = timeParse("%Y-%m-%d");
console.log(history);
history["data"].forEach((d) => {
	d.month = parseDate(d.month);
});
const data = history["data"];

let history_plot = Plot.plot({
	x: {
		round: true,
		label: "Month",
		grid: true,
	},
	y: {
		grid: true,
	},
	marks: [
		Plot.areaY(data, {x: "month", y: "sum_p", interval: "month", curve: "bump-x", fill: "#aaccff"}),
		Plot.areaY(data, {x: "month", y: "sum_m", interval: "month", curve: "bump-x", fill: "#ffccaa"}),
		Plot.ruleY([0]),
		Plot.lineY(data, {x: "month", y: "sum", interval: "month", curve: "bump-x", marker: "circle", strokeWidth: 2}),
	],
	insetTop: 20,
	insetBottom: 20,
});
document.querySelector("#history_plot").append(history_plot);
